Sculpin - PHP Static Site Generator
===================================

[![Gitter chat](https://badges.gitter.im/sculpin/sculpin.svg)](https://gitter.im/sculpin/sculpin)
[![License](https://poser.pugx.org/sculpin/sculpin/license.svg)](https://packagist.org/packages/sculpin/sculpin)
[![Build Status](https://travis-ci.org/sculpin/sculpin.svg?branch=develop)](https://travis-ci.org/sculpin/sculpin)
[![Code Coverage](https://scrutinizer-ci.com/g/sculpin/sculpin/badges/coverage.png?b=develop)](https://scrutinizer-ci.com/g/sculpin/sculpin/?branch=develop)
[![HHVM Status](http://hhvm.h4cc.de/badge/sculpin/sculpin.svg?branch=master)](http://hhvm.h4cc.de/package/sculpin/sculpin)
[![Total Downloads](https://poser.pugx.org/sculpin/sculpin/downloads.svg)](https://packagist.org/packages/sculpin/sculpin)


Sculpin takes plain old text files (Markdown, Textile, etc.) and combines
them with Twig templates to produce a set of static HTML files that can
be easily deployed to almost any hosting platform.

Visit [sculpin.io](http://sculpin.io) for more information.



Documentation
-------------

Sculpin has [documentation](https://sculpin.io/documentation/) but also is
"learn by example". If you are interested in trying out Sculpin you should fire
up a Sculpin skeleton site to see Sculpin in action.


Sculpin Skeletons
-----------------

Skeletons are starting points for a new Sculpin based site. While not strictly
required (you can always start a site from scratch) using a skeleton is a good
way to get a bunch of structure in place with little or no effort.

Unless otherwise noted, the following skeletons are **barebones**. They will have
minimal styles (if any at all) and are not intended to be pretty. You are
expected to add all of the style magic yourself.

 * [Blog Skeleton](https://github.com/sculpin/sculpin-blog-skeleton)
   A very basic Sculpin based blog.


Phar distributions
------------------

[Phar distribution and embedded composer are
deprecated](https://blog.sculpin.io/2016/08/31/deprecating-phar-distribution-and-embedded-composer).
Phar files are no longer published, please use composer to install sculpin.  
Embedded composer will be removed in sculpin v3

License
-------

MIT, see [LICENSE](/LICENSE).


Community
---------

Want to get involved? Here are a few ways:

* Find us in the **#sculpin** IRC channel on **irc.freenode.org**.
* Join the [Sculpin Users](http://groups.google.com/group/sculpin-users)
  mailing list.
* Mention [@getsculpin](http://twitter.com/getsculpin) on Twitter.


Not Invented Here
-----------------

There are other fine projects from which Sculpin has been inspired. Many are
more mature than this one. If you are looking for a stable project with an
established community, try something on the following admittedly incomplete
list:

 * [Jekyll](http://jekyllrb.com/) &mdash; Ruby
 * [Octopress](http://octopress.org) &mdash; Ruby (framework on top of Jekyll)
 * [Hyde](http://hyde.github.io/) &mdash; Python
 * [Phrozn](https://github.com/Pawka/phrozn) &mdash; PHP
 * [Pie Crust](https://github.com/ludovicchabant/PieCrust) &mdash; PHP
 * [Pie Crust 2](http://bolt80.com/piecrust) &mdash; Python
